gwibber-accounts crashed with TypeError in function(): Item 0: must be a subtype of gi.Boxed

Bug #936071 reported by Paul White on 2012-02-19
94
This bug affects 14 people
Affects Status Importance Assigned to Milestone
Gwibber
Medium
Ken VanDine
gwibber (Ubuntu)
Low
Unassigned

Bug Description

I was trying to mend a broken installation of gwibber.

I deleted all configuration and data files, rebooted, started unity and gwibber.

I added an account and recieved a prompt to authorise my account with twitter.

The crash dialog appeared.

This is repeatable.

ProblemType: Crash
DistroRelease: Ubuntu 12.04
Package: gwibber 3.3.6-0ubuntu2
ProcVersionSignature: Ubuntu 3.2.0-17.26-generic-pae 3.2.6
Uname: Linux 3.2.0-17-generic-pae i686
ApportVersion: 1.91-0ubuntu1
Architecture: i386
CheckboxSubmission: 74370fb95d591f8ea67a771fcab54c74
CheckboxSystem: 2a6f54df59af338184485e85cbcf0d32
CrashCounter: 1
Date: Sun Feb 19 10:24:28 2012
ExecutablePath: /usr/bin/gwibber-accounts
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111011)
InterpreterPath: /usr/bin/python2.7
ProcCmdline: python /usr/bin/gwibber-accounts
PythonArgs: ['/usr/bin/gwibber-accounts']
SourcePackage: gwibber
Title: gwibber-accounts crashed with TypeError in function(): Item 0: must be a subtype of gi.Boxed
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Paul White (paulw2u) wrote :
Paul White (paulw2u) on 2012-02-20
visibility: private → public
tags: removed: need-duplicate-check
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gwibber (Ubuntu):
status: New → Confirmed
Changed in gwibber:
assignee: nobody → Ken VanDine (ken-vandine)
importance: Undecided → Medium
milestone: none → 3.4
status: New → Confirmed
Bilal Shahid (s9iper1) on 2012-02-28
Changed in gwibber (Ubuntu):
importance: Undecided → Low
status: Confirmed → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gwibber - 3.3.91-0ubuntu1

---------------
gwibber (3.3.91-0ubuntu1) precise; urgency=low

  * New upstream release
    - Fix duplicate detection by falling back to comparing html,
      link_description, image_url and video_url (LP: #933694)
    - Fixed account migration path from 2.32 (desktopcouch) to
      3.4 (sqlite) (LP: #740494)
    - gwibber-accounts crashed with TypeError in function(): Item 0: must
      be a subtype of gi.Boxed (LP: #936071)
    - Fixed position tracking so page down and page up move the
      appropriate number of tiles (LP: #629420)
    - more escaping of text that pango markup can't support
    - twitter: Use Twitter entities, improves getting hashtags, mentions,
      links, images, and videos. Thanks to Mark Tully (LP: #948092)
 -- Ken VanDine <email address hidden> Thu, 08 Mar 2012 16:51:57 -0500

Changed in gwibber (Ubuntu):
status: Triaged → Fix Released
Changed in gwibber:
status: Confirmed → Fix Released
Joshua R. Poulson (jrp) wrote :

I'm running gwibber 3.4.0 and I experienced the same crash just now.

Oytun (oytunnew18) wrote :

I'm verifying my account. Crashed.

Maxim Kuznetsov (mackuzzz) wrote :

"Invalid instruction" when I'm trying to authorise.

I'm using Russian interface in Ubuntu.

There was the same problem with 11.10 and it was because of different languages/encodings as I can remember.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers